org.eclipse.mat.internal.collectionextract

## Class KnownCollectionInfo

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.KnownCollectionInfo

All Implemented Interfaces:
  ICollectionExtractorProvider

    public class KnownCollectionInfo
    extends Object
    implements ICollectionExtractorProvider

### Constructor Summary

Constructors
Constructor and Description
`KnownCollectionInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<CollectionExtractionInfo>` `getExtractorInfo()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KnownCollectionInfo

    public KnownCollectionInfo()

### Method Detail

#### getExtractorInfo

    public List<CollectionExtractionInfo> getExtractorInfo()

Specified by:
  `getExtractorInfo` in interface `ICollectionExtractorProvider`